JobACL (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.mapreduce
Enum JobACL

    java.lang.Object
      java.lang.Enum<JobACL>
          org.apache.hadoop.mapreduce.JobACL

All Implemented Interfaces:
  Serializable, Comparable<JobACL>

    public enum JobACL

extends Enum<JobACL>

Job related ACLs

Enum Constant Summary
`MODIFY_JOB` ACL for 'modifying' job.
`VIEW_JOB` ACL for 'viewing' job.

Method Summary
`String` | `getAclName()` Get the name of the ACL.
`static JobACL` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobACL[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VIEW_JOB

    public static final JobACL VIEW_JOB

  ACL for 'viewing' job. Dictates who can 'view' some or all of the job related details.

### MODIFY_JOB

    public static final JobACL MODIFY_JOB

  ACL for 'modifying' job. Dictates who can 'modify' the job for e.g., by killing the job, killing/failing a task of the job or setting priority of the job.

Method Detail

### values

    public static JobACL[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JobACL c : JobACL.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JobACL valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getAclName

    public String getAclName()

  Get the name of the ACL. Here it is same as the name of the configuration property for specifying the ACL for the job.

  Returns:
    aclName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation